- Qt 5.15
- Qt Location
- C++ Classes
- QPlaceContactDetail
- Qt 5.15.15 Reference Documentation

# QPlaceContactDetail Class

The QPlaceContactDetail class represents a contact detail such as a phone number or website url. More...

Header: | #include <QPlaceContactDetail>
qmake: | QT += location

- List of all members, including inherited members

## Public Functions

| QPlaceContactDetail(const QPlaceContactDetail &other)
| QPlaceContactDetail()
QPlaceContactDetail & | operator=(const QPlaceContactDetail &other)
virtual | ~QPlaceContactDetail()
void | clear()
QString | label() const
void | setLabel(const QString &label)
void | setValue(const QString &value)
QString | value() const
bool | operator!=(const QPlaceContactDetail &other) const
bool | operator==(const QPlaceContactDetail &other) const

## Static Public Members

const QString | Email
const QString | Fax
const QString | Phone
const QString | Website

## Detailed Description

The detail consists of a label and value. The label is a localized string that can be presented to the end user that describes that detail value which is the actual phone number, email address and so on.

#### Contact Types

The QPlaceContactDetail class defines some constant strings which characterize standard contact types.

- QPlaceContactDetail::Phone
- QPlaceContactDetail::Email
- QPlaceContactDetail::Website
- QPlaceContactDetail::Fax

These types are used to access and modify contact details in QPlace via:

- QPlace::contactDetails()
- QPlace::setContactDetails()
- QPlace::appendContactDetail()
- QPlace::contactTypes()

The contact type is intended to be a string type so that providers are able to introduce new contact types if necessary.

## Member Function Documentation

### QPlaceContactDetail::QPlaceContactDetail(const QPlaceContactDetail &other)

Creates a copy of other.

### QPlaceContactDetail::QPlaceContactDetail()

Constructs a contact detail.

### QPlaceContactDetail &QPlaceContactDetail::operator=(const QPlaceContactDetail &other)

Assigns other to this contact detail and returns a reference to this contact detail.

### `[virtual]` QPlaceContactDetail::~QPlaceContactDetail()

Destroys the contact detail.

### void QPlaceContactDetail::clear()

Clears the contact detail.

### QString QPlaceContactDetail::label() const

Returns a label describing the contact detail.

The label can potentially be localized. The language is dependent on the entity that sets it, typically this is the manager from which the places are sourced. The QPlaceManager::locales() field defines what language is used.

See also setLabel().

### void QPlaceContactDetail::setLabel(const QString &label)

Sets the label of the contact detail.

See also label().

### void QPlaceContactDetail::setValue(const QString &value)

Sets the value of this contact detail.

See also value().

### QString QPlaceContactDetail::value() const

Returns the value of the contact detail.

See also setValue().

### bool QPlaceContactDetail::operator!=(const QPlaceContactDetail &other) const

Returns true if other is not equal to this contact detail, otherwise returns false.

### bool QPlaceContactDetail::operator==(const QPlaceContactDetail &other) const

Returns true if other is equal to this contact detail, otherwise returns false.

## Member Variable Documentation

### const QString QPlaceContactDetail::Email

The constant to specify email contact details.

### const QString QPlaceContactDetail::Fax

The constant used to specify fax contact details.

### const QString QPlaceContactDetail::Phone

The constant to specify phone contact details

### const QString QPlaceContactDetail::Website

The constant used to specify website contact details.